package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[User] 查询条件对象
 */
@Data
public class UserSearchContext extends SearchContext {

	   public String n_username_like;//[用户名称]
       public void setN_username_like(String n_username_like) {
            this.n_username_like=n_username_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("username");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_username_like);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter username=new SearchFieldFilter();
           username.setParam("username");
           username.setCondition(SearchFieldType.LIKE);
           username.setValue(strQuery);
           searchGroupFilter.getCondition().add(username);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
